Summary: Backward compatibility libraries for spelling checker.
Name: aspell033
Version: 0.33.7.1
Epoch: 2
Release: 25.ker.rhel3
License: LGPL
Group: Applications/Text
URL: http://aspell.sourceforge.net/
Source0: http://download.sourceforge.net/aspell/aspell-.33.7.1.tar.gz
Source1: aspell-init.el
Patch0: aspell-.33-fix2.diff
Patch1: aspell-.33.7.1-workaround.patch
Requires: pspell = 3:0.12.2
Buildrequires: pspell-devel = 3:0.12.2, gcc-c++
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: ispell

%description
Aspell is a spelling checker designed to eventually replace Ispell.
Aspell's primary advantage (over Ispell) is a greater skill at
suggesting correct spellings. Aspell includes both compile-time and
run-time support for non-English languages and can spellcheck (La)TeX
and HTML files.

This package contain backward compatibility libraries.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n aspell-.33.7.1

%patch0 -p0 -b .fix2
#patch1 -p1 -b .evilworkaround

%build

%ifarch s390
CXXFLAGS="${CXXFLAGS} -O0" 
%endif

%configure 
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/site-start.d
mkdir -p $RPM_BUILD_ROOT/usr/lib/xemacs/xemacs-packages/lisp/site-start.d
mkdir -p $RPM_BUILD_ROOT/usr/bin

install -m 755 scripts/spell  $RPM_BUILD_ROOT/usr/bin/spell
install -m 755 scripts/ispell $RPM_BUILD_ROOT/usr/bin/ispell
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/site-start.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/xemacs/xemacs-packages/lisp/site-start.d

cp -pr $RPM_BUILD_ROOT/usr/doc/aspell .
rm -f aspell/manual.aux

# remove the doc stuff we don't want packaged
rm -rf $RPM_BUILD_ROOT/%{_prefix}/doc

# remove all but libraries for backward compatibility purposes
rm -rf $RPM_BUILD_ROOT/%{_bindir} \
       $RPM_BUILD_ROOT/usr/include \
       $RPM_BUILD_ROOT/%{_libdir}/aspell \
       $RPM_BUILD_ROOT/%{_libdir}/lib*aspell.a \
       $RPM_BUILD_ROOT/%{_libdir}/lib*aspell.so \
       $RPM_BUILD_ROOT/usr/share \
       $RPM_BUILD_ROOT/usr/lib/xemacs

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
    
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%doc README TODO aspell/*
#%{_bindir}/*
#%{_libdir}/aspell/american*
#%{_libdir}/aspell/english*
%{_libdir}/lib*.so.*
# Yes, they need to be in the main package - they are used for
# dynamic loading. Argh.
%{_libdir}/lib*.la
#/usr/share/aspell
#/usr/share/pspell
#/usr/share/emacs/site-lisp/site-start.d/*
#/usr/lib/xemacs/xemacs-packages/lisp/site-start.d/*

#%files		devel
#%defattr(-,root,root)
#/usr/include/aspell
#%{_libdir}/lib*aspell.a
#%{_libdir}/lib*aspell.so

#%files en-ca
#%defattr(-,root,root)
#%{_libdir}/aspell/canadian*

#%files en-gb
#%defattr(-,root,root)
#%{_libdir}/aspell/british*


%changelog
* Sat Feb 14 2004 Milan Kerslager <kerslage@linux.cz> 2:0.33.7.1-24.ker.rhel3
- initial release of backward compatibility libraries (no devel package)
- SPEC file based on on RHEL3's package
